% *************************************************************************
% 
%                      iGem Modelling - 2016
%                     Delft University of Technology
% 
% *************************************************************************
% 
%               Title
% 
%                    File: Reflectivity_calculation
%                           Model: Determining the reflectivity of layer of
%                           polysilica and tin dioxide
% 
%             
% *************************************************************************
close all
clear all
%% Declaration of variables
lambda              = 511e-9;           % Wavelengths
t                   = 50e-9;            % Thicknes of layer
n                   = [1.47, 2];        % Refractive index silica and tin dioxide

nt                  = 100;              % Number of angles 
theta               = linspace(0,pi/2,nt);
for ii=1:length(theta)
% Reflectivity when cells covered with polysilica
    [R_GFP(ii,1)]=Reflection_thinfilm(1.37,n(1),1.33,lambda,t,theta(ii));
% Reflectivity when cells covered with tin dioxide
    [R_GFP(ii,2)]=Reflection_thinfilm(1.37,n(2),1.33,lambda,t,theta(ii));
end
theta_deg = theta/pi*180;
figure('units','normalized','outerposition',[0 0 1 1])
p1=plot(theta_deg,R_GFP);
xlabel('\theta_i ')
ylabel('Reflectivity')
legend('polysilica', 'tin dioxide','Location','northwest')
ax = gca;
get(ax,'position');
set(ax,'position',[0.15,0.15,0.6,0.8])
p1(1).LineWidth =4; 
p1(2).LineWidth =4; 
ax.LineWidth = 4;
ax.FontSize = 20;
