clear all
close all
%% Reading in the file
savename_singlecell = ['Laser_threshold_Singlecell_dia_1um_R04607_10162'];
singlecell=load(savename_singlecell);

savename_singlecell2 = ['Laser_threshold_Singlecell_dia_1um_R02711_1016.mat'];
singlecell2=load(savename_singlecell);
%%
savename_2mirror=['laser_threshold_2mirrors_l_7mm1.mat'];
mirrors=load(savename_2mirror);
savename_singlecell_size = ['Laser_threshold_Singlecell_dia_1um_R04607_10162.mat'];
singlecell_size = load(savename_singlecell_size)

savename_2mirror2=['01_20muMtime.mat'];
mirrors2=load(savename_2mirror2);
%%
h           = 6.62607004e-34;           % [m^2kg/s] planck constant
c           = 2.99792458e8;             % [m/s]             speed of light 
lambda      = 509e-9;                   % [m] wavelength
%%
% *************************************************************************
%                  PLOT NUMBEF OR PHOTONS/GFP1 OVER TIME
% *************************************************************************
Tf          = 167                       % plot until this point
figure('units','normalized','outerposition',[0 0 0.6 0.9])
ii          = 2                         % Concentration index
p2 = plot(mirrors2.ty{ii,1}(1:Tf,1)*10^9,-mirrors2.ty{ii,2}(1:Tf,1)*mirrors2.Kmirror, 'o',...
    mirrors2.ty{ii,1}(1:Tf,1)*10^9,-mirrors2.ty{ii,2}(1:Tf,2)*mirrors2.Kmirror, 'o')
hold on
title(sprintf('C = %.2f \\muM',mirrors2.C(ii)*10^6))
p2(1).LineWidth =2; 
p2(2).LineWidth =2; 
ax = gca;
ax.LineWidth = 2;
ax.FontSize = 20;
xlabel('time (ns)')
ylabel('(N)')
legend('GFP_1','Photons coming out of the system')

%%
% *************************************************************************
%                   LASER THRESHOLD CONCENTRATIONS 2 MIRRORS
% *************************************************************************
figure('units','normalized','outerposition',[0 0 1 1])
p1 = loglog(mirrors.C(1:end)*1e6,-mirrors.maxima_photons(1:end,1)*mirrors.Kmirror* (h*c)/lambda,'o')
title('Maximal output intensity')
xlabel('Concentration (\muM)')
ylabel({'Output Energy (J/s)'})
ax = gca;
get(ax,'position')
set(ax,'position',[0.15,0.15,0.6,0.8])
p1.LineWidth =4; 
ax = gca;
ax.LineWidth = 4;
ax.FontSize = 20;

%%
% *************************************************************************
%                  LASER THRESHOLD CONCENTRATION SINGLE CELL
% *************************************************************************
figure('units','normalized','outerposition',[0 0 1.5 1])
subplot(1,2,1)
p2 = loglog(singlecell2.C(1:end)*1e3,-singlecell2.maxima_photons(1:end,1)*singlecell2.Kmirror * (h*c)/lambda,'o')
title('Polysilica')
xlabel('Concentration (mM)')
ylabel({'Output Energy (J/s)'})
ax = gca;
ax.LineWidth = 4;
ax.FontSize = 20;
subplot(1,2,2) 
p1 = loglog(singlecell.C(1:end)*1e3,-singlecell.maxima_photons(1:end,1)*singlecell.Kmirror * (h*c)/lambda,'o')

title('Tin Dioxide')
xlabel('Concentration (mM)')
ylabel({'Output Energy (J/s)'})
ax = gca;
p1.LineWidth =4; 
p2.LineWidth =4; 
ax = gca;
ax.LineWidth = 4;
ax.FontSize = 20;

%% 
% *************************************************************************
%                    lASER TRESHOLD CAVITY SIZE SINGLE CELL
% *************************************************************************


close all
figure('units','normalized','outerposition',[1 0 1 1])
Kmirror = c ./ (2 * singlecell_size.l) * log((singlecell_size.R)^2); % [s^-1]            Mirror loss rate
l = logspace(-7,-3,100)
t1 = 1          % Index size point 1
tf = 100        % Index size point final
p1 = loglog(l(t1:tf)*1e6,-singlecell_size.maxima_photons(t1:tf,1).*Kmirror' * (h*c)/lambda,'o')

xlabel('Cavity size (\mum)')
ylabel({'Output Energy (J/s)'})
ax = gca;
p1.LineWidth =4; 
ax.LineWidth = 4;
ax.FontSize = 20;
